Private Network
All operations require authentication.
List networksProduction
Returns the networks of the project. Filter by region with the region query parameter.
Path parameters
Project ID
Query parameters
Optional region filter
Headers
Pagination cursor
Pagination size
Response
Computed hash representing the current target specification value
Creation date of the network
Current state of the network
Ongoing asynchronous tasks related to the network
Unique identifier of the network
Network readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the network
Last update date of the network
Example uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ network \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "vlanId": 0 }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "vlanId": 0 }, "updatedAt": "2024-01-01T12:00:00Z" }]
Get a networkProduction
Returns the network, including its VLAN segmentation ID.
Path parameters
Network ID
Project ID
Response
Computed hash representing the current target specification value
Creation date of the network
Current state of the network
Ongoing asynchronous tasks related to the network
Unique identifier of the network
Network readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the network
Last update date of the network
Example uses networkId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ network/ {networkId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "vlanId": 0 }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "vlanId": 0 }, "updatedAt": "2024-01-01T12:00:00Z"}
Create a networkProduction
Creates a private network, optionally on a VLAN. VLAN segmentation is not supported on localzone regions.
Path parameters
Project ID
Request body (required)
Desired target specification for the network to create
Response
Computed hash representing the current target specification value
Creation date of the network
Current state of the network
Ongoing asynchronous tasks related to the network
Unique identifier of the network
Network readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the network
Last update date of the network
Example uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ network \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "vlanId": 0 }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "vlanId": 0 }, "updatedAt": "2024-01-01T12:00:00Z"}
Delete a networkProduction
Deletes the network.
Path parameters
Network ID
Project ID
Response
Computed hash representing the current target specification value
Creation date of the network
Current state of the network
Ongoing asynchronous tasks related to the network
Unique identifier of the network
Network readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the network
Last update date of the network
Example uses networkId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ network/ {networkId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "vlanId": 0 }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "vlanId": 0 }, "updatedAt": "2024-01-01T12:00:00Z"}
Update a networkProduction
Updates the network's name. Description, location and VLAN ID are immutable after creation.
Path parameters
Network ID
Project ID
Request body (required)
Optional concurrency-control checksum. When supplied, it must match the resource's current checksum or the request is rejected with a 409 checksum-mismatch conflict. When omitted or empty, the concurrency check is skipped and the write is forced (last-write-wins).
Desired target specification for the network
Response
Computed hash representing the current target specification value
Creation date of the network
Current state of the network
Ongoing asynchronous tasks related to the network
Unique identifier of the network
Network readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the network
Last update date of the network
Example uses networkId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ network/ {networkId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "vlanId": 0 }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "vlanId": 0 }, "updatedAt": "2024-01-01T12:00:00Z"}